[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.AdaptAnchors

Adjust anchor settings to reflect the value in the Align property.

## Declaration

Source position: extctrls.pp line 392

`protected function TCustomSplitter.AdaptAnchors(`
`const a: TAnchors`
`):TAnchors;`

## Arguments

`a` |  | Initial TAnchors values used in the method.

## Function result

TAnchors settings derived in the method.

## Description

AdaptAnchors is a TAnchors function used to adjust the anchor settings for the control to reflect the value in the Align property. a contains the initial anchors used in the method, and is assigned as the default return value.

The Align property is used to determine the correct TAnchorKind values used in the return value for the method. The following TAnchorKind values are included/excluded from the result based on the value in Align:

alLeft
  Includes akLeft. Excludes akRight.
alTop
  Includes akTop. Excludes akBottom.
alRight
  Includes akRight. Excludes akLeft.
alBottom
  Includes akBottom. Excludes akTop.

AdaptAnchors is called when a new value is assigned to the Align or Anchors properties.